# Package io.undertow.io

Interface Summary
BufferWritableOutputStream: Represents an output stream that can write byte buffers directly.
IoCallback
Receiver: Interface that provides an easy way to read data from the request.
Receiver.ErrorCallback
Receiver.FullBytesCallback
Receiver.FullStringCallback
Receiver.PartialBytesCallback
Receiver.PartialStringCallback
Sender: Sender interface that allows for callback based async IO.

Class Summary
AsyncReceiverImpl
AsyncSenderImpl
BlockingReceiverImpl
BlockingSenderImpl: A sender that uses an output stream.
DefaultIoCallback: A default callback implementation that simply ends the exchange
UndertowInputStream: Input stream that reads from the underlying channel.
UndertowOutputStream: Buffering output stream that wraps a channel.

Exception Summary
Receiver.RequestToLargeException